import RuiButton from "./button";
import RuiDateTimePicker from './picker'
import UDT from './utils/datetime'

const components = [
  RuiButton, RuiDateTimePicker
]

const install = function (Vue) {
  components.forEach(component => component.install(Vue))

  Vue.prototype.$UDT = UDT
}

/* istanbul ignore if */
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
}

export default {
  install,
  RuiButton,
  RuiDateTimePicker,
  UDT
}