export function isUndefined(val) {
  return val === void 0;
}

export function isString(val) {
  return typeof val === 'string' || val instanceof String;
}

export function isEmptyString (val) {
  return isString(val) && val.length > 0
}

export function isObject(val) {
  return (
    val != null &&
    Object.prototype.toString.call(val) === '[object Object]'
  );
}

export function isEmptyObject(obj) {
  if (Object.getOwnPropertyNames) {
      return Object.getOwnPropertyNames(obj).length === 0;
  } else {
      var k;
      for (k in obj) {
          if (Object.prototype.hasOwnProperty.call(obj, k)) {
              return false;
          }
      }
      return true;
  }
}


export function isNumber(val) {
  return (
    typeof val === 'number' ||
    Object.prototype.toString.call(val) === '[object Number]'
  );
}

export function isFunction(val) {
  return (
    (typeof Function !== 'undefined' && val instanceof Function) ||
    Object.prototype.toString.call(val) === '[object Function]'
  );
}

export function isDate(val) {
  return (
    val instanceof Date ||
    Object.prototype.toString.call(val) === '[object Date]'
  );
}

export function isArray(val) {
  return (
    val instanceof Array ||
    Object.prototype.toString.call(val) === '[object Array]'
  );
}

export function isEmptyArray(val) {
  return (
    isArray(val) && val.length > 0
  );
}

export default {
  isUndefined,
  isString,
  isEmptyString,
  isObject,
  isNumber,
  isFunction,
  isDate,
  isArray,
  isEmptyArray
}